(define-module (mason packages screenshot2app)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (guix build-system copy)
  #:use-module (guix utils)
  #:use-module (guix gexp)
  #:use-module (gnu packages gtk)
  #:use-module (gnu packages image))

(define-public screenshot2app
  (package
    (name "screenshot2app")
    (version "0.0.1")
    (home-page "https://wiki.mobian-project.org/doku.php?id=tweaks#taking-screenshots-v3")
    (source
     (local-file "scripts/screenshot2app" #:recursive? #t))
    (build-system copy-build-system)
    (arguments
     '(#:install-plan
       '(("screenshot2app" "bin/")
         ("screenshot2app.desktop" "share/applications/"))
       #:phases
       (modify-phases %standard-phases
         (add-after 'unpack 'configure
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (substitute* (list "screenshot2app")
               (("@EXTRA_PATH@")
                (string-append (assoc-ref inputs "grim")
                               "/bin:"
                               (assoc-ref inputs "yad")
                               "/bin")))
             (substitute* (list "screenshot2app.desktop")
               (("@EXEC@")
                (string-append (assoc-ref outputs "out")
                               "/bin/screenshot2app")))
             #t)))))
    (inputs
       `(("yad" ,yad)
         ("grim" ,grim)))
    (synopsis "")
    (description
     "")
    (license license:gpl2+)))

screenshot2app
